Ovladač pro staré Nvidia GPU


#1

Chtěla jsem si nainstalovat na externí SSD Fedoru a používat ji na svém novém MBP 2016 a zjistila jsem, že to nejde, žádný Linux na tyto nové MacBooky prý nejde nainstalovat. Tak jsem nainstalovala Fedoru na starý Mac Mini 2009 a potřebovala bych tam dostat normální ovladače grafické karty, což je Nvidia 9400M GT 256 MB. Zatímco El Capitan běží naprosto plynule a přehraje bez problémů fullHD video, tak ve Fedoře se o plynulosti moc mluvit nedá a fullHD video se seká. Grafika má prý ovladače nějaké Gallium 0.4 on NVAC. Jakým způsobem můžu nainstalovat normální Nvidia ovladače? A hlavně jakou verzi? A nakonec hlavně tak, aby se to nerozbilo :slight_smile: Děkuji.


#2

Příručka budiž pomocníkem: https://wiki.mojefedora.cz/doku.php?id=navody:prirucka:hardware#instalace_ovladacu_pro_graficke_karty_nvidia_a_amd_ati


#3

Děkuji. Nainstalovala jsem ovladač Nvidia a po restartu mi to řeklo chybu, nespustilo se grafické rozhraní. Naštěstí to stačilo pouze odinstalovat a zase restartovat. Co se týče akcelerace, tvrdí mi to tu třetí možnost (Gallium 0.4 on llvmpipe). Dá se s tím vůbec něco dělat?


#4

Nvidia delat to, ze z ovladacu vyhazuje podporu starych grafik, ktere uz pro ni nejsou “trzne” zajimave… je to stejne pro Windows i Linux, takze na stary pocitac leda starou distribuci, nebo se smirit s tim, ze grafika bezi jen ve “vesa” rezimu…


#5

Podle všeho by ale měla být podporovaná i podle Nvidie. A navíc ve Windows je pro 9400 podpora i v nejnovějších ovladačích. Ale něco se tam nepovedlo a nerozběhlo se grafické rozhraní. Naštěstí stačilo to jen odinstalovat. Každopádně v Ubuntu 16.04 mi to nabídlo uzavřený ovladač, který po instalaci a restartu normálně funguje. Problém je, že Ubuntu si moc nerozumí s Macy zatímco Fedora pro ně má zřejmě přímo podporu. Ale zase nefungují ovladače GPU… To je buď jedno nebo druhé, proč nemůže být obojí?


#6

Kterou verzi ovladače nVidie jsi instalovala? Ono to tady úplně nezaznělo. Ta 9400 je už ten legacy ovladač. Jen pro upřesnění, jestli není chyba zrovna tady.


#7

Aha, vidíš to :slight_smile: Instalovala jsem 340xx.